
Foreman - Support #5152

Unable to provision new host

04/10/2014 09:16 PM - Benjamin Miller

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

I work with AMS and recently was granted access to provision new hosts. However, whenever I click the New Host button, I receive

the following error (full trace follows):

NoMethodError

undefined method `id' for nil:NilClass

app/views/hosts/_form.html.erb:33:in `block (2 levels) in app_views_hosts

_form_html_erb__2217089358098257081_70270736818460'

app/helpers/layout_helper.rb:205:in `form_for'

app/views/hosts/_form.html.erb:7:in `block in app_views_hosts_form_html_erb__2217089358098257081_70270736818460'

app/models/taxonomy.rb:55:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:54:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:53:in `as_taxonomy'

app/views/hosts/_form.html.erb:5:in `_app_views_hosts__form_html_erb__2217089358098257081_70270736818460'

app/views/hosts/new.html.erb:3:in `_app_views_hosts_new_html_erb___2770569196711027135_70270734889580'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

Is there something else that I should do before I am able to provision hosts? Please let me know if you have any questions!

Thanks,

Ben

History

#1 - 04/11/2014 08:32 AM - Lukas Zapletal

- Category set to Web Interface

Yes, please provide us exact version of Foreman you are using.

Quick look to the code base looks like it could be something with Organizations or Locations.

Do you have Org/Loc support enabled? (See the manual how to do that/check that).

Can you do the Organization mismatch report (See the manual - go to organizations and click mismatch report)? 

https://foreman.virtual.lan/organizations/mismatches

#2 - 08/10/2016 07:05 PM - Anonymous

- Status changed from New to Closed

no reaction, closing.

Powered by TCPDF (www.tcpdf.org)

05/21/2024 1/1

https://foreman.virtual.lan/organizations/mismatches
http://www.tcpdf.org

